Skip to main content
GET
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
queues
C#
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;

var config = new SaladCloudSdkConfig{};

var client = new SaladCloudSdkClient(config);

var response = await client.Queues.ListQueuesAsync("acme-corp", "dev-env");

Console.WriteLine(response);
{
  "items": [
    {
      "container_groups": [
        {
          "autostart_policy": true,
          "container": {
            "command": [
              "<string>"
            ],
            "image": "<string>",
            "resources": {
              "cpu": 512,
              "gpu_classes": [
                "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              ],
              "memory": 536871424,
              "shm_size": 64,
              "storage_amount": 562950490292224
            },
            "environment_variables": {},
            "hash": "<string>",
            "image_caching": true,
            "logging": {
              "axiom": {
                "api_token": "<string>",
                "dataset": "<string>",
                "host": "<string>"
              },
              "datadog": {
                "api_key": "<string>",
                "host": "<string>",
                "tags": [
                  {
                    "name": "<string>",
                    "value": "<string>"
                  }
                ]
              },
              "http": {
                "headers": [
                  {
                    "name": "<string>",
                    "value": "<string>"
                  }
                ],
                "host": "<string>",
                "port": 32768,
                "password": "<string>",
                "path": "<string>",
                "user": "<string>"
              },
              "new_relic": {
                "host": "<string>",
                "ingestion_key": "<string>"
              },
              "splunk": {
                "host": "<string>",
                "token": "<string>"
              },
              "tcp": {
                "host": "<string>",
                "port": 32768
              }
            },
            "size": 4611686018427388000
          },
          "country_codes": [
            "us"
          ],
          "create_time": "2023-11-07T05:31:56Z",
          "current_state": {
            "finish_time": "2023-11-07T05:31:56Z",
            "instance_status_counts": {
              "allocating_count": 1073741823,
              "creating_count": 1073741823,
              "running_count": 1073741823,
              "stopping_count": 1073741823
            },
            "start_time": "2023-11-07T05:31:56Z",
            "description": "<string>"
          },
          "display_name": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "organization_name": "<string>",
          "pending_change": true,
          "project_name": "<string>",
          "replicas": 250,
          "scaling-actions": [
            {
              "replicas": 250,
              "schedule": "<string>"
            }
          ],
          "scheduled-scaling-enabled": true,
          "update_time": "2023-11-07T05:31:56Z",
          "version": 1073741824,
          "liveness_probe": {
            "failure_threshold": 3,
            "initial_delay_seconds": 0,
            "period_seconds": 10,
            "success_threshold": 1,
            "timeout_seconds": 30,
            "exec": {
              "command": [
                "<string>"
              ]
            },
            "grpc": {
              "port": 32768,
              "service": "<string>"
            },
            "http": {
              "headers": [
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ],
              "path": "<string>",
              "port": 32768
            },
            "tcp": {
              "port": 32767
            }
          },
          "networking": {
            "auth": true,
            "dns": "<string>",
            "load_balancer": "round_robin",
            "port": 32768,
            "client_request_timeout": 100000,
            "server_response_timeout": 100000,
            "single_connection_limit": false
          },
          "queue_autoscaler": {
            "desired_queue_length": 50,
            "max_replicas": 250,
            "min_replicas": 50,
            "max_downscale_per_minute": 50,
            "max_upscale_per_minute": 50,
            "polling_period": 907
          },
          "queue_connection": {
            "path": "<string>",
            "port": 32768,
            "queue_name": "<string>"
          },
          "readiness_probe": {
            "failure_threshold": 3,
            "initial_delay_seconds": 0,
            "period_seconds": 1,
            "success_threshold": 1,
            "timeout_seconds": 1,
            "exec": {
              "command": [
                "<string>"
              ]
            },
            "grpc": {
              "port": 32768,
              "service": "<string>"
            },
            "http": {
              "headers": [
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ],
              "path": "<string>",
              "port": 32768
            },
            "tcp": {
              "port": 32767
            }
          },
          "readme": "<string>",
          "startup_probe": {
            "failure_threshold": 15,
            "initial_delay_seconds": 0,
            "period_seconds": 3,
            "success_threshold": 2,
            "timeout_seconds": 10,
            "exec": {
              "command": [
                "<string>"
              ]
            },
            "grpc": {
              "port": 32768,
              "service": "<string>"
            },
            "http": {
              "headers": [
                {
                  "name": "<string>",
                  "value": "<string>"
                }
              ],
              "path": "<string>",
              "port": 32768
            },
            "tcp": {
              "port": 32767
            }
          }
        }
      ],
      "create_time": "2023-11-07T05:31:56Z",
      "display_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "update_time": "2023-11-07T05:31:56Z",
      "current_queue_length": 1073741823,
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.salad.com/llms.txt

Use this file to discover all available pages before exploring further.

Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

Response

OK

Represents a Queue Collection

items
object[]
required

The list of queues.

Maximum array length: 100